% Differential rate law for change in concs given kf and kr for 2A <-> B
% Jason Kahn U Maryland 2/25/2016  version 1.01
function dconcs = TwoAtoB(~,concs,kf,kr)
dconcs = zeros(2,1);
dconcs(1) = -2*kf*concs(1)^2 + 2*kr*concs(2);
dconcs(2) = kf*concs(1)^2 - kr*concs(2);
end